Kling 2.1 Video
Kuaishou Kling 2.1 — image-to-video specialist. Animates a start frame into 5 or 10 seconds.
Back to docs
Videokuaishou/kling-2.1-video$0.00 / 1M in
Base URL
https://api.zekron.tech/api/v1Supported modes
image-to-video
Parameters
Pass these inside the input object when creating a task.
| Field | Required |
|---|---|
| prompt | required |
| start_frame_url | required |
| end_frame_url | optional |
| duration | optional |
| mode | optional |
| sound_effects | optional |
promptrequired
start_frame_urlrequired
end_frame_urloptional
durationoptional
modeoptional
sound_effectsoptional
Example request
bash
curl -X POST https://api.zekron.tech/api/v1/tasks \
-H "Authorization: Bearer zk_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"model": "kuaishou/kling-2.1-video",
"input": {
"prompt": "a cinematic shot of a lighthouse at golden hour",
"start_frame_url": "...",
"duration": 5,
"mode": "std"
}
}'Example response
json
{
"id": "zk_task_8f3a2b1c9d",
"model": "kuaishou/kling-2.1-video",
"status": "processing",
"created_at": "2026-06-10T12:00:00Z"
}Poll GET https://api.zekron.tech/api/v1/tasks/{id} until status is success or failed.
Pricing
This model is billed at $0.00 / 1M in. You are only charged for successful generations — failed tasks are never billed. Generated outputs are retained for 30 days before they expire.